"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var array_1 = require("./array");
var function_1 = require("./function");
var handleCurry_1 = require("./utils/handleCurry");
var description_1 = require("./utils/description");
var typeToPredicate_1 = require("./typeToPredicate");
function isArrayOf(predicate, value) {
    var extraArgs = [];
    for (var _i = 2; _i < arguments.length; _i++) {
        extraArgs[_i - 2] = arguments[_i];
    }
    if (!function_1.default(predicate)) {
        throw new TypeError('Predicate must be a function');
    }
    predicate = typeToPredicate_1.getPredicateForType(predicate) || predicate;
    return handleCurry_1.default.call(this, arguments, description_1.setDescription(function (value) {
        var _this = this;
        var match = function (value) { return predicate.apply(_this, [value].concat(extraArgs)); };
        return array_1.default(value) && value.every(match);
    }, 'an array of elements of type: ' + description_1.getDescription(predicate)));
}
exports.default = isArrayOf;
