"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var string_1 = require("./string");
var description_1 = require("./utils/description");
var CONTAINS_ONLY_WHITESPACES = /^\s*$/;
/**
 * Checks whether a value is empty string or contains only whitespaces
 *
 * @example
 * is.blank(''); // true
 * is.blank('    '); // true
 * is.blank('test'); // false
 */
function isBlank(value) {
    return string_1.default(value) && (value === '' || CONTAINS_ONLY_WHITESPACES.test(value));
}
exports.default = isBlank;
description_1.setDescription(isBlank, 'a blank string');
