"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var handleCurry_1 = require("./utils/handleCurry");
var finite_1 = require("./finite");
var number_1 = require("./number");
var description_1 = require("./utils/description");
function divisibleWithRemainder(divisor, remainder, value) {
    if (arguments.length < 2) {
        throw new Error('Missing remainder');
    }
    if (!finite_1.default(divisor)) {
        throw new TypeError('Divisor is not a finite number');
    }
    if (divisor === 0) {
        throw new Error('Divisor cannot be 0');
    }
    if (!finite_1.default(remainder)) {
        throw new TypeError('Remainder is not a finite number');
    }
    if (remainder >= divisor) {
        throw new Error('Remainder cannot be greater than divisor');
    }
    return handleCurry_1.default.call(this, arguments, description_1.setDescription(function (value) {
        return number_1.default(value) && value % divisor === remainder;
    }, 'a number divisible by ' + divisor + ' with remainder ' + remainder), 2);
}
exports.default = divisibleWithRemainder;
