/**
 * Checks whether a value is empty
 * Value is empty when:
 * * is an array like object with length === 0
 * * is an object without enumerable properties
 * * is an empty string
 * * is undefined
 *
 * @example
 * is.empty(''); // true
 * is.empty([]); // true
 * is.empty({}); // true
 * is.empty(undefined); // true
 * is.empty([1]); // false
 * is.empty('test'); // false
 */
declare function isEmpty(value: any): boolean;
export default isEmpty;
