import { TypeGuardPredicate } from './types';
/**
 * Checks whether a string ends with a given suffix
 *
 * @example
 * const isYelling = is.endsWith('!');
 *
 * isYelling('shut up!'); // true
 * // same as
 * is.endsWith('!', 'shut up!'); // true
 * isYelling('quiet please'); // false
 *
 * @throws {TypeError} if suffix is not a string
 * @throws {Error} if suffix is empty
 */
declare function endsWith(suffix: string): TypeGuardPredicate<string>;
declare function endsWith(suffix: string, value: any): value is string;
export default endsWith;
