"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var string_1 = require("./string");
var handleCurry_1 = require("./utils/handleCurry");
var description_1 = require("./utils/description");
function endsWith(suffix, value) {
    if (!string_1.default(suffix)) {
        throw new TypeError('Suffix must be a string');
    }
    if (suffix === '') {
        throw new Error('Suffix cannot be empty');
    }
    return handleCurry_1.default.call(this, arguments, description_1.setDescription(function (value) {
        return string_1.default(value) && value.indexOf(suffix) === value.length - suffix.length;
    }, 'a string that ends with "' + suffix + '"'));
}
exports.default = endsWith;
