"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var number_1 = require("./number");
var description_1 = require("./utils/description");
/**
 * Checks whether a value is a number and it's finite
 *
 * @example
 * is.finite(1); // true
 * is.finite(Infinity); // false
 */
function isFinitePolyfill(value) {
    return number_1.default(value) && value !== Infinity && value !== -Infinity && !isNaN(value);
}
var isFinite = ('isFinite' in Number) ? Number.isFinite : isFinitePolyfill;
description_1.setDescription(isFinite, 'a finite number');
exports.default = isFinite;
