"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var generatorFunctionConstructor_1 = require("./utils/generatorFunctionConstructor");
var description_1 = require("./utils/description");
/**
 * Checks whether a value is generator
 *
 * @example
 * is.generator(function* gen() {}); // true
 * is.generator(function(){})); // false
 */
function isGenerator(value) {
    return !!generatorFunctionConstructor_1.generatorFunctionConstructor && value instanceof generatorFunctionConstructor_1.generatorFunctionConstructor;
}
exports.default = isGenerator;
description_1.setDescription(isGenerator, 'a generator');
