import { TypeGuardPredicate } from './types';
/**
 * Checks whether a value is greater than expected number
 *
 * @example
 * const isGreaterThan0 = is.greaterThan(0);
 *
 * isGreaterThan0(10); // true
 * // same as
 * is.greaterThan(0, 10); // true
 * isGreaterThan0(-1); // false
 */
declare function isGreaterThan<T = number>(expected: T): TypeGuardPredicate<T>;
declare function isGreaterThan<T = number>(expected: T, value: any): value is T;
export default isGreaterThan;
