import { TypeGuardPredicate } from './types';
/**
* Checks whether a value is greater or equal to expected number
*
* @example
* const isAdultAge = is.greaterThanOrEqual(18);
*
* isAdultAge(22); // true
* // same as
* is.greaterThanOrEqual(18, 22);
*
* isAdultAge(16); // false
*/
declare function isGreaterThanOrEqual<T = number>(expected: T): TypeGuardPredicate<T>;
declare function isGreaterThanOrEqual<T = number>(expected: T, value: any): value is T;
export default isGreaterThanOrEqual;
