import { Predicate } from './types';
/**
 * Checks whether an object has a given property
 *
 * @example
 * const isDuck = is.hasProperty('quack');
 *
 * isDuck({quack: ':)'}); // true
 * // same as
 * is.hasProperty('quack', {quack: ':)'}); // true
 *
 * isDuck({type: 'car'}); // false
 *
 * @throws {TypeError} if property is not a string
 */
declare function hasProperty(property: string | Symbol): Predicate;
declare function hasProperty(property: string | Symbol, object: Object): boolean;
export default hasProperty;
