import { Predicate } from './types';
/**
 * Checks whether a value exists in collection
 * Values are compared using === operator
 *
 * @example
 * const isImage = is.in(['image/gif', 'image/jpeg']);
 * // same as
 * // const isImage = is.oneOf('image/gif', 'image/jpeg');
 *
 * isImage('image/jpeg'); // true
 * // same as
 * is.in(['image/gif', 'image/jpeg'], 'image/jpeg'); // true
 *
 * isImage('text/html'); // false
 *
 * @throws {TypeError} if collection is not an array
 * @throws {Error} if collection is empty
 */
declare function isIn(collection: any[]): Predicate;
declare function isIn(collection: any[], value: any): boolean;
export default isIn;
