import { TypeGuardPredicate } from './types';
/**
 * Checks whether a value is an instance of given "class"
 *
 * @example
 * const Duck = function() {};
 * const Car = function() {};
 *
 * const isDuck = is.instanceOf(Duck);
 *
 * isDuck(new Duck); // true
 * // same as
 * is.instanceOf(Duck, new Duck); // true
 *
 * isDuck(new Car); // false
 *
 * @throws {TypeError} if class is not a function
 */
declare function isInstanceOf<T>(clazz: Function): TypeGuardPredicate<T>;
declare function isInstanceOf<T>(clazz: Function, value: any): value is T;
export default isInstanceOf;
