import { TypeGuardPredicate } from './types';
/**
 * Checks whether a value is less than expected number
 *
 * @example
 * const isChildAge = is.lessThan(18);
 *
 * isChildAge(10); // true
 * // same as
 * is.lessThan(18, 10); // true
 * isChildAge(18); // false
 */
declare function isLessThan<T = number>(expected: T): TypeGuardPredicate<T>;
declare function isLessThan<T = number>(expected: T, value: any): value is T;
export default isLessThan;
