import { TypeGuardPredicate } from './types';
/**
 * Checks whether a value is less or equal to expected number
 *

 *
 * @example
 * const isChildAge = is.lessThanOrEqual(17);
 *
 * isChildAge(10); // true
 * // same as
 * is.lessThanOrEqual(17, 10); // true
 *
 * isChildAge(18); // false
 *
 * @param {Number} expected
 * @param {Number} [value]
 * @returns {(boolean|Predicate)} bool if at least two arguments provided, otherwise a predicate
 */
declare function isLessThanOrEqual<T = number>(expected: T): TypeGuardPredicate<T>;
declare function isLessThanOrEqual<T = number>(expected: T, value: any): value is T;
export default isLessThanOrEqual;
