import { TypeGuardPredicate } from './types';
/**
 * Checks whether a value is a string and matches a regexp
 *
 * @example
 * const isWindows9x = is.matches(/^Windows 9/);
 *
 * isWindows9x('Windows 9'); // true - :D
 * // same as
 * is.matches(/^Windows 9/, 'Windows 9'); // also true - hue hue
 *
 * isWindows9x('Windows 10'); // false
 *
 * @throws {TypeError} if regexp is not a regexp
 */
declare function matches(regexp: RegExp): TypeGuardPredicate<string>;
declare function matches(regexp: RegExp, value: string): value is string;
export default matches;
