"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var number_1 = require("./number");
var description_1 = require("./utils/description");
/**
 * Checks whether a value is a NaN number
 *
 * @example
 * is.NaN(NaN); // true
 * is.NaN(10); // false
 */
function isNotANumber(value) {
    return number_1.default(value) && isNaN(value);
}
description_1.setDescription(isNotANumber, 'not a number');
exports.default = isNotANumber;
