"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var string_1 = require("./string");
var description_1 = require("./utils/description");
var CONTAINS_AT_LEAST_ONE_NON_WHITESPACE = /\S/;
/**
 * Checks whether a value is a string and contains at least one non-whitespace character
 *
 * @example
 * is.notBlank(''); // false
 * is.notBlank('    '); // false
 * is.notBlank('test'); // true
 * is.notBlank({toString: function() { return 'test'; }}); // false - since values are not converted to strings
 */
function notBlank(value) {
    return string_1.default(value) && CONTAINS_AT_LEAST_ONE_NON_WHITESPACE.test(value);
}
description_1.setDescription(notBlank, 'not blank string');
exports.default = notBlank;
