"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var array_1 = require("./array");
var description_1 = require("./utils/description");
/**
 * Checks whether value is an array and is not empty
 *
 * @example
 * is.notEmptyArray([1]); // true
 * is.notEmptyArray([]); // false
 * is.notEmptyArray('string'); // false
 */
function notEmptyArray(value) {
    return array_1.default(value) && value.length > 0;
}
exports.default = notEmptyArray;
description_1.setDescription(notEmptyArray, 'not an empty array');
