"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var description_1 = require("./utils/description");
/**
 * Checks whether a value is an object and ignores null
 *
 * @example
 * is.object({}); // true
 * is.object('object'); // false
 */
function isObject(value) {
    return value instanceof Object || (typeof value === 'object' && value !== null);
}
description_1.setDescription(isObject, 'an object');
exports.default = isObject;
