import { Predicate } from './types';
/**
 * Checks whether every enumerable property of object satisfies a predicate
 *
 * @example
 * const isObjectOfStrings = is.objectOf(is.string);
 *
 * isObjectOfStrings({key: 'value', key1: 'value'}); // true
 * // same as
 * is.objectOf(is.string, {key: 'value', key1: 'value'}); // true
 *
 * isObjectOfStrings({key: 1, key1: 'value'}); // false
 */
declare function isObjectOf(predicate: Predicate | Function): Predicate;
declare function isObjectOf(predicate: Predicate | Function, value: Object): boolean;
export default isObjectOf;
