/**
 * Checks whether a value is a plain object.
 * Plain object is an object of which prototype is Object.prototype or null
 *
 * @example
 * is.plainObject({property: 'value'}); // true
 * is.plainObject(new Object); // true
 * is.plainObject(Object.create(null)); // true
 * is.plainObject(new String('test')); // false
 *
 * const Foo = function() {};
 * is.plainObject(new Foo); // false
 */
declare function isPlainObject(value: any): value is Object;
export default isPlainObject;
