"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var number_1 = require("./number");
var description_1 = require("./utils/description");
/**
 * Checks whether a value is a positive number
 *
 * @example
 * is.positive(10); // true
 * is.positive(-1); // false
 */
function isPositiveNumber(value) {
    return number_1.default(value) && value > 0;
}
description_1.setDescription(isPositiveNumber, 'a positive number');
exports.default = isPositiveNumber;
