"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Checks whether a value is a regexp
 *
 * @example
 * is.regExp(/t/); // true
 * is.regExp(new RegExp(/t/)); // true
 * is.regExp('.*'); // false
 */
var description_1 = require("./utils/description");
function isRegexp(value) {
    return Object.prototype.toString.call(value) === '[object RegExp]';
}
description_1.setDescription(isRegexp, 'a RegExp');
exports.default = isRegexp;
