import { TypeGuardPredicate } from './types';
/**
 * Checks whether a value is strictly equal to expected value (uses === operator)
 *
 * @example
 * const mom = {};
 * const isMyMom = is.strictEqual(mom);
 *
 * isMyMom(mom); // true - mom is only one. Remember about it...
 * // same as
 * is.strictEqual(mom, mom); // true
 * isMyMom({}); // false
 */
declare function isStrictEqual<T = any>(expected: T): TypeGuardPredicate<T>;
declare function isStrictEqual<T = any>(expected: T, value: any): value is T;
export default isStrictEqual;
