"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var description_1 = require("./utils/description");
/**
 * Checks whether value is thenable according to Promise A+ spec https://promisesaplus.com/
 * Useful to asses whether value might be used as promise.
 *
 * @example
 * is.thenable(Promise.resolve('test')); // true
 * is.thenable({then: () => {}}); // this is still a thenable (according to spec)
 * is.thenable({}); // false
 */
function isThenable(value) {
    return !!value && typeof value.then === 'function';
}
exports.default = isThenable;
description_1.setDescription(isThenable, 'a thenable object');
