"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var handleCurry_1 = require("./utils/handleCurry");
var undefined_1 = require("./undefined");
var function_1 = require("./function");
var description_1 = require("./utils/description");
var typeToPredicate_1 = require("./typeToPredicate");
function isUndefinedOr(predicate, value) {
    if (!function_1.default(predicate)) {
        throw new TypeError('Predicate must be a function');
    }
    predicate = typeToPredicate_1.getPredicateForType(predicate) || predicate;
    return handleCurry_1.default.call(this, arguments, description_1.setDescription(function (value) {
        return undefined_1.default(value) || predicate.apply(this, arguments);
    }, 'undefined or ' + description_1.getDescription(predicate)));
}
exports.default = isUndefinedOr;
